Skip to main content
POST
/
locations
/
{locationId}
/
recurring-tasks
Create Recurring Task
curl --request POST \
  --url https://services.leadconnectorhq.com/locations/{locationId}/recurring-tasks \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'Version: <version>' \
  --data '
{
  "title": "Task Name",
  "rruleOptions": {
    "intervalType": "hourly",
    "interval": 1,
    "startDate": "2025-07-23T10:00:00.000Z",
    "dueAfterSeconds": 600
  },
  "description": "Task Description",
  "contactIds": [
    "sx6wyHhbFdRXh302Lunr"
  ],
  "owners": [
    "sx6wyHhbFdRXh302Lunr"
  ],
  "ignoreTaskCreation": true
}
'
{
  "recurringTask": {
    "id": "sx6wyHhbFdRXh302Lunr",
    "title": "Task Name",
    "description": "Task Description",
    "locationId": "sx6wyHhbFdRXh302Lunr",
    "updatedAt": "2021-04-15T10:00:00.000Z",
    "createdAt": "2021-04-15T10:00:00.000Z",
    "rruleOptions": {
      "createTaskIfOverDue": false,
      "interval": 1,
      "intervalType": "hourly",
      "startDate": "2024-10-29T12:34:03.000Z",
      "dueAfterSeconds": 600,
      "count": 550
    },
    "totalOccurrence": 10,
    "deleted": false,
    "assignedTo": "sx6wyHhbFdRXh302Lunr",
    "contactId": "v5cEPM428h8vShlRW1KT"
  }
}

Authorizations

Authorization
string
header
required

Use the Access Token generated with user type as Sub-Account (OR) Private Integration Token of Sub-Account.

Headers

Version
enum<string>
required

API Version

Available options:
2021-07-28

Path Parameters

locationId
string
required

Body

application/json
title
string
required

Name of the task

Example:

"Task Name"

rruleOptions
object
required
Example:
{
"intervalType": "hourly",
"interval": 1,
"startDate": "2025-07-23T10:00:00.000Z",
"dueAfterSeconds": 600
}
description
string

Description of the task

Example:

"Task Description"

contactIds
string[]

Contact Id

Example:
["sx6wyHhbFdRXh302Lunr"]
owners
string[]

Assigned To

Example:
["sx6wyHhbFdRXh302Lunr"]
ignoreTaskCreation
boolean

Create initial task or not

Example:

true

Response

Successful response

recurringTask
object
required
Last modified on March 4, 2026